goalFindRag.mSteps = 
{
	{ action = "click", object = objectPoiEngineOpen },
	{ action = "click", object = objectIoRadiatorCap },
	{ action = "click", object = objectHoRag },
}
goalFindRag.canStart = false
-- ----------------------------------------------------------------------------
function goalFindRag:shouldStart()

	return self.canStart

end
-- ----------------------------------------------------------------------------
function goalFindRag:onClickIO(layout, object, props, x, y)
	
	if (object == objectIoRadiatorCap) then
		self.canStart = true
	end
	
end
-- ----------------------------------------------------------------------------
function goalFindRag:onStarted()

	Goal.onStarted(self)
	objectHoRag:ss(kActive)
	
end
-- ----------------------------------------------------------------------------
function goalFindRag:onClickHO(layout, object, props, x, y)

	if (objectHoRag:isFound()) then
		self:achieved()
	end

end